// The sample contained herein is provided to you "AS IS".
//
// It is furnished by Add-in Express as a simple example and has not been
// thoroughly tested under all conditions. Add-in Express, therefore, cannot
// guarantee its reliability, serviceability or functionality.

unit IdentifyingTheFormD7_IMPL;

interface

uses
  SysUtils, ComObj, ComServ, ActiveX, Variants, Outlook2000, Office2000, adxAddIn, IdentifyingTheFormD7_TLB, StdVcl,
  Classes, adxolFormsManager;

type
  TCoIdentifyingTheFormD7 = class(TadxAddin, ICoIdentifyingTheFormD7)
  end;

  TAddInModule = class(TadxCOMAddInModule)
    adxOlFormsManager1: TadxOlFormsManager;
    adxOlInspectorCommandBar1: TadxOlInspectorCommandBar;
    adxOlExplorerCommandbar1: TadxOlExplorerCommandbar;
    adxRibbonTab1: TadxRibbonTab;
    procedure adxOlInspectorCommandBar1Controls0Click(Sender: TObject);
    procedure adxOlExplorerCommandbar1Controls0Click(Sender: TObject);
    procedure adxRibbonTab1Controls0Controls0Click(Sender: TObject;
      const RibbonControl: IRibbonControl);
  private
    procedure IdentifyTheCurrentForm;
  protected
  public
  end;

implementation

uses Unit1, uUtils;

{$R *.dfm}

procedure TAddInModule.adxOlInspectorCommandBar1Controls0Click(
  Sender: TObject);
begin
  IdentifyTheCurrentForm;
end;

procedure TAddInModule.adxOlExplorerCommandbar1Controls0Click(
  Sender: TObject);
begin
  IdentifyTheCurrentForm;
end;

procedure TAddInModule.adxRibbonTab1Controls0Controls0Click(
  Sender: TObject; const RibbonControl: IRibbonControl);
begin
  IdentifyTheCurrentForm;
end;

procedure TAddInModule.IdentifyTheCurrentForm;
var
  currentForm: TadxOlForm;
begin
  currentForm := ADXUtils.FindCurrentForm(adxOlFormsManager1.Items[0]);
  if (currentForm <> nil) then begin
    Common.ShowMessage(Format(Strings.TheCurrentFormHasIdentifier, [(currentForm as TadxOlForm1).Identifier]));
  end
  else begin
    Common.ShowMessage(Strings.TheCurrentFormHasNotFound);
  end;

end;

initialization
  TadxFactory.Create(ComServer, TCoIdentifyingTheFormD7, CLASS_CoIdentifyingTheFormD7, TAddInModule);

end.
