// The sample contained herein is provided to you "AS IS".
//
// It is furnished by Add-in Express as a simple example and has not been
// thoroughly tested under all conditions. Add-in Express, therefore, cannot
// guarantee its reliability, serviceability or functionality.

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Outlook2000, adxolFormsManager, StdCtrls, ActiveX;

type
  TadxOlForm1 = class(TadxOlForm)
    Label1: TLabel;
    laFormID: TLabel;
    procedure adxOlFormCreate(Sender: TObject);
  private
    { Private declarations }
    function GenerateKey: String;
    function GetIdentifier: string;
  protected
    { Protected declarations }
  public
    { Public declarations }
    property Identifier: string read GetIdentifier; 
  published
    { Published declarations }
  end;

{NOTE: The adxOlForm1 variable is intended for the exclusive use
       by the TadxOlFormsCollectionItem Designer.
       NEVER use this variable for other purposes.}
var
  adxOlForm1 : TadxOlForm1;

implementation

{$R *.DFM}

procedure TadxOlForm1.adxOlFormCreate(Sender: TObject);
begin
  laFormID.Caption := GenerateKey;
end;

function TadxOlForm1.GenerateKey: String;
var
  MyGUID: TGUID;
  MyWideChar: array[0..100] of WideChar;
begin
  CoCreateGUID(MyGUID);
  StringFromGUID2(MyGUID, MyWideChar, 39);
  Result := WideCharToString(MyWideChar);
end;

function TadxOlForm1.GetIdentifier: string;
begin
  result := laFormID.Caption;
end;

initialization
  RegisterClass(TPersistentClass(TadxOlForm1));

finalization
end.
